package com.tzld.piaoquan.api.controller.contentplatform;

import com.tzld.piaoquan.api.model.param.contentplatform.AccountLoginParam;
import com.tzld.piaoquan.api.model.param.contentplatform.AccountSendMessageParam;
import com.tzld.piaoquan.api.model.vo.contentplatform.AccountLoginVO;
import com.tzld.piaoquan.api.service.contentplatform.ContentPlatformAccountService;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/contentPlatform/account")
public class ContentPlatformAccountController {

    @Autowired
    ContentPlatformAccountService accountService;

    @ApiOperation(value = "手机号登录")
    @PostMapping("/login")
    public CommonResponse<AccountLoginVO> login(@RequestBody AccountLoginParam param) {
        return CommonResponse.success(accountService.login(param));
    }

    @ApiOperation(value = "发送短信验证码")
    @PostMapping("/sendMessageVerifyCode")
    public CommonResponse<Void> sendMessageVerifyCode(@RequestBody AccountSendMessageParam param) {
        accountService.sendMessageVerifyCode(param);
        return CommonResponse.success();
    }
}
